VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Classes | Namespaces
parameterchanges.h File Reference
`#include "pluginterfaces/vst/ivstparameterchanges.h"`
`#include <vector>`

## Classes
class | ParameterValueQueue
| Implementation's example of IParamValueQueue - not threadsave! More...
struct | ParameterValueQueue::ParameterQueueValue
class | ParameterChanges
| Implementation's example of IParameterChanges - not threadsave! More...
class | ParameterChangeTransfer
| Ring buffer for transferring parameter changes from a writer to a read thread . More...
struct | ParameterChangeTransfer::ParameterChange

## Namespaces
namespace | Steinberg
namespace | Steinberg::Vst

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.